xampp-linux-x64-7.0.13-0-installer.run

Problems with the Linux version of XAMPP, questions, comments, and anything related.

xampp-linux-x64-7.0.13-0-installer.run

Postby Hitwalker » 21. November 2016 08:19

Hi can any confirm this is correct!
Didi install the latest xampp-linux-x64-7.0.13-0-installer.run
and when i look at my php info it says 7.0.9 :roll:

:? :?
Hitwalker
 
Posts: 12
Joined: 28. April 2016 07:58
XAMPP version: x64-7.0.9-0
Operating System: Linux Mint 18

Re: xampp-linux-x64-7.0.13-0-installer.run

Postby deltaecho » 22. November 2016 17:18

We still see 7.0.9 of php here as well. You are not alone!
deltaecho
 
Posts: 4
Joined: 25. October 2016 13:58
XAMPP version: 5.6.42
Operating System: LINUX

Re: xampp-linux-x64-7.0.13-0-installer.run

Postby tasso85 » 28. November 2016 10:55

Has it been solved? Or is it still PHP 7.0.9?
tasso85
 
Posts: 9
Joined: 16. May 2016 11:19
XAMPP version: 7.0.5
Operating System: Centos 7 64bit

Re: xampp-linux-x64-7.0.13-0-installer.run

Postby Hitwalker » 28. November 2016 16:17

its same on all linux distros PHP 5.6.28 is PHP 5.6.24 and PHP 7.0.13 is PHP 7.0.9
a disaster that they cant not look up before uploading
Hitwalker
 
Posts: 12
Joined: 28. April 2016 07:58
XAMPP version: x64-7.0.9-0
Operating System: Linux Mint 18

Re: xampp-linux-x64-7.0.13-0-installer.run

Postby Nobbie » 28. November 2016 21:17

Hitwalker wrote:a disaster that they cant not look up before uploading


Why disaster? A number is only a number, would you please explain all the bugs you found, which are specific to 7.0.9 and are fixed in 7.0.13?
Nobbie
 
Posts: 9562
Joined: 09. March 2008 13:04

Re: xampp-linux-x64-7.0.13-0-installer.run

Postby Hitwalker » 29. November 2016 09:34

php version is not correct in all version just test it so will you see by your self Nobbie.......... i did asked if any confirm this is correct!
and only 1 that did was deltaecho

And its a disaster when you put down work to install it and set up a website and you see its f-up WITH WRONG PHP VERSION...
Hitwalker
 
Posts: 12
Joined: 28. April 2016 07:58
XAMPP version: x64-7.0.9-0
Operating System: Linux Mint 18

Re: xampp-linux-x64-7.0.13-0-installer.run

Postby Nobbie » 29. November 2016 12:25

Hitwalker wrote:And its a disaster when you put down work to install it and set up a website and you see its f-up WITH WRONG PHP VERSION...


Crap and Nonsense! What is f-up with PHP?? First of all: Xampp is a develop environment for your localhost only. And even if you did not follow that, what is wrong about PHP 7.0.9? What does not work for you? You are totally overreacting, how much did you pay for Xampp, how much did you pay for support? Nothing!! Which professional providers offer PHP 7.0.13 already? NONE!! So what is your problem?? Yes, its the wrong version, so what?! Again: Nothing!! Simply keep cool.

Feel free to join the Bitnami team and make it better. What about that?!
Nobbie
 
Posts: 9562
Joined: 09. March 2008 13:04

Re: xampp-linux-x64-7.0.13-0-installer.run

Postby deltaecho » 29. November 2016 16:05

Probably the only real issue is that the install says it has been updated with php 7.0.13 when in fact it has not been updated.

When we needed to set up a web server...I found XAMPP highly recommended. Install was easy and after a few tweaks with the php.ini file we were set to go.

I mistakenly assumed that this was not just a dev environment package. My error...I see clearly on the XAMPP home page, XAMPP is labeled for web development.
Unfortunately, I will have to go to another solution because of the older php version with CGI abuse vulnerabilities.
Wish I didn't have to go.
Thanks for all your great work!
deltaecho
 
Posts: 4
Joined: 25. October 2016 13:58
XAMPP version: 5.6.42
Operating System: LINUX

Re: xampp-linux-x64-7.0.13-0-installer.run

Postby Nobbie » 30. November 2016 11:46

deltaecho wrote:Unfortunately, I will have to go to another solution because of the older php version with CGI abuse vulnerabilities.


I would not use Xampp for online servers anyway, why not simply using a proper distribution (like Ubuntu Server or so?), there are plenty of linux distributions out there, all of them well maintained, "feeded" from repositories and easily to upgrade or to extend (what lacks in Xampp)?! In fact, Xampp on a Linux Server does not make real sense, it is only the second best solution.
Nobbie
 
Posts: 9562
Joined: 09. March 2008 13:04

Re: xampp-linux-x64-7.0.13-0-installer.run

Postby Hitwalker » 24. January 2017 09:46

Nobbie wrote:
deltaecho wrote:Unfortunately, I will have to go to another solution because of the older php version with CGI abuse vulnerabilities.


I would not use Xampp for online servers anyway, why not simply using a proper distribution (like Ubuntu Server or so?), there are plenty of linux distributions out there, all of them well maintained, "feeded" from repositories and easily to upgrade or to extend (what lacks in Xampp)?! In fact, Xampp on a Linux Server does not make real sense, it is only the second best solution.


Hi Nobbie!

I have setup a lampp server and its not easy to config there is alot!
the only problem is mod rewrite its installed and enable
but on my phpbb site and i must Enable URL Rewriting:
and that dont works!
You seems like you have some expirens about webservers...
on xampp everything works ..so i need some help do i need more mod for apache?
Hitwalker
 
Posts: 12
Joined: 28. April 2016 07:58
XAMPP version: x64-7.0.9-0
Operating System: Linux Mint 18


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 3 guests